<?session_start();?>
<style>
#tablapendi {
			border-collapse:collapse;			
			}
#tablapendi tr td,#tablapendi tr th
			{
			border-bottom:2px black solid;
			display:table-cell;
vertical-align:top;
			
			}

</style>
<?

require("../conectar.php");
function fechacorta($f)
{
list($anio,$mes,$dia)=explode("-",$f);
if($mes=="01"){$mes="Ene";}
if($mes=="02"){$mes="Feb";}
if($mes=="03"){$mes="Mar";}
if($mes=="04"){$mes="Abr";}
if($mes=="05"){$mes="May";}
if($mes=="06"){$mes="Jun";}
if($mes=="07"){$mes="Jul";}
if($mes=="08"){$mes="Ago";}
if($mes=="09"){$mes="Sep";}
if($mes=="10"){$mes="Oct";}
if($mes=="11"){$mes="Nov";}
if($mes=="12"){$mes="Dic";}
$anio;
if(strlen($dia)<2){$dia="0".$dia;}
$f=$dia."-".$mes."-".$anio;
return($f);
}
?>
<meta content="text/html" charset="iso-8859-1" http-equiv="Content-Type" />  
<?
$erer = strtotime ( '-7 day' , strtotime (date("Y-m-d")) ) ;
$sietedias = date ( 'Y-m-d' , $erer );
$sqlqwe="SELECT p.id_pendiente,p.remitente, p.destino,p.status,p.id_pendiente,p.fecha_ingreso,p.accion,(select nombre from complejo where id_complejo=p.propiedad) as propiedad,(select clave from departamentos where id_departamento=p.suite) as depa,suite,concat(p.accion,' ',p.observaciones) as observaciones, (select concat(re.nombre) from empleados as re where re.id_empleado=p.remitente) as remi, (select concat(des.nombre) from empleados as des where des.id_empleado=p.destino) as destinatario,(SELECT pr.observaciones from pendientes as pr where pr.id_subpendiente=p.id_pendiente order by pr.fecha_ingreso desc limit 1) as respuesta 
FROM pendientes as p 
	where  p.accion not like 'SALIDAS PARA %' and p.accion not like  'ENTRADAS PARA%' and p.accion not like  'RE:%' AND p.status<>'OK'  and p.area  not in('DIRECCION') and p.fecha_ingreso BETWEEN '$sietedias' AND CURDATE() ORDER BY fecha_ingreso ASC";
$queqwery=mysql_query($sqlqwe);
$tablapen="<table id='tablapendi' width='800' style='font-size:12px;'><tr><th width='80'>Fecha<th colspan='2'>Pendiente<th>Atendido<th width='150'>Respuesta";
$nus=mysql_num_rows($queqwery);
while($p=mysql_fetch_array($queqwery))
{
$tablapen.="<tr id='tr".$p["id_pendiente"]."'><td>".fechacorta($p["fecha_ingreso"])."<td align='right'>
		<b>DE:<br>PARA:<br>PROPIEDAD:<br>Mensaje:<td>".$p["remi"]."<br>".$p["destinatario"]."<br>
	".$p["propiedad"]." <b>SUITE:</b>".$p["depa"]."<br>".$p["observaciones"]."<td><center><input  type='checkbox' id='pendiente".$p["id_pendiente"]."' onclick='accionpendiente(".$p["id_pendiente"].",\"elimina\")' ";
if((($_SESSION["usuario_id"]!=$p["remitente"])&&($_SESSION["usuario_id"]!="61")&&($_SESSION["usuario_id"]!="1") &&($_SESSION["usuario_id"]!="161")))$tablapen.=" disabled > ";
else $tablapen.=" > ";
$tablapen.="</center><td>".utf8_decode ($p["respuesta"]);
if($_SESSION["usuario_id"]==$p["destino"])$tablapen.="<br><input type='button' value='Reponder' onclick='accionpendiente(".$p["id_pendiente"].",\"responde\")'>";
}
$tablapen.="</table>";
if($nus>0)
	{ $_SESSION["tablapen"]=$tablapen;
	echo$tablapen."<script>document.getElementById('numerodepen').innerHTML=$nus; nus=$nus</script>";
	}
	else {echo"<script>document.getElementById('numerodepen').style.display='none'; nus=$nus</script>";
			 $_SESSION["tablapen"]="No hay pendientes";
		}
?>
